* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    height: 100vh; /* 100% del alto de la ventana */
    display: flex;
    flex-direction: column;
    min-width: 290px;
    background-color: #f0e7e7;
    font-family:'Impact','Roboto', sans-serif;
}
/*--------------- Header ------------------------------*/
header {
    width: 100%;
    color: #c44144;
    background-color: #f9852c;
    display: grid;
    grid-template-columns: 1fr 4fr 1fr;
    align-items: center;
    padding: 20px 0 20px 0;
}

.titulo{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding-left: 30px;
}
h1{
    margin: 0 0 8px 0;
    text-shadow: 2px 2px 5px #000;
    font-weight: 100;
    line-height: 25px;
}
.grande {
    font-size: 4rem; /* Tamaño de fuente para "Hola" */
}

.pequeño {
    font-size: 1.6rem; /* Tamaño de fuente para "Mundo" */
}

/* Navegacion --------------------------------------------------*/
.navlist{
    display: flex;
    justify-content: space-evenly;
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
}
li{
    list-style-type: none;
}
li, a{
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    color: #3d3a3a;
    text-decoration: none;
}

/* Menu abrir -------------------------------------*/

.abrir_menu{
    display: none;
}
.cerrar_menu{
    display: none;
}
.svg_menu{
    width: 50px;
}
.svg_close_menu{
    width: 40px;
}
/*--------------------------------------------------*/
.sociales{
    display: flex;
    padding-right: 30px;
}
.sociales a{
    padding: 10px;
    
}

.sociales a:hover{
    filter: invert(1) sepia(5) saturate(100%);
    transform: scale(1.5);
}
.svg_instagram{
    width: 30px;
    transform: scale(1.2);
}
.svg_facebook{
    width: 30px;
}
.svg_whatsapp{
    width: 30px;
}

/*--------------------------------------------------*/



.navbar li {
    float: left;
}
  
.navbar li a, .dropdown-content a {
    display: block;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
  }
  
  .navbar li a:hover, .dropdown:hover .dropbtn {
    background-color: #555;
  }
  
  .dropdown {
    display: inline-block;
  }
  
  .dropdown-content {
    display: none;
    position: absolute;
    z-index: 1;
    background-color: rgb(196,65,68, 1);
    border-radius: 10px;
  }
  
  .dropdown-content a {
    float: none;
    color: white;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
  }
  
  .dropdown-content a:hover {
    background-color: #555;
    border-radius: 10px;
  }
  
  .dropdown:hover .dropdown-content {
    display: block;
  }
  

/*  MAIN--------------------------------------------------*/
main {
    width: 100%;
    height: 100%;
    background-color: #3d3a3a;
    display: flex;
    padding: 30px 0 30px 0;
}
section{
    text-align: center;
    padding-top: 10px;
    padding-bottom: 10px;
    display: grid;
    grid-template-columns: 2fr 2fr;    
}

.imagen_radio{
display: flex;
justify-content: center;
align-items: center;
}
.imagen{
    width: 29vmax;

}
.texto_radio{
    padding-top: 30px;
    padding-right: 20px;
    font-size: large;

}
section h2{
    color: #f0e7e7;
    font-family: monospace;
    padding-bottom: 10px;
}
section p{
    color: #f0e7e7;
    font-family: monospace;
    text-align:left;
}
p a {
    color: #f0e7e7;
    
}



/* Footer -------------------------------------------------------------------   Footer */

footer {
    background-color: #c44144;
    align-items: center;
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 20px 0 20px 0;

}

footer,
p {
    color: #2e2c2c;
    text-align: center;
}
.legales{
    font-size: 12px;
}

.sociales_footer{
    display: none;
}

/* Media Q -------------------------------------------------- Media Q */

@media screen and (max-width: 768px) {
	
    .grande{
        font-size: 2.8rem;
    }
    .pequeño{
        font-size: 1.1rem;
    }
    .navBar{
        justify-content: space-around;
    }
	
}

@media screen and (max-width: 425px) {
    header{
    display: flex;
    justify-content: space-between;
    padding-top: 20px;
}
.grande{
    font-size: 2.8rem;
}
.pequeño{
    font-size: 1.1rem;
}
.sociales{
    display: none;
}

.sociales_footer{
    width: 70%;
    display: flex;
    justify-content: space-between;
}


.svg_instagram{
    width: 20px;
}
.svg_facebook{
    width: 20px;
}

.abrir_menu,
.cerrar_menu{
    display: block;
    border: 0;
    font-size: 1.5rem;
    background-color: transparent;
    padding-right: 10px;
    cursor: pointer;
}

    .cerrar_menu{
        color: #f0e7e7;
    }


    .navBar {
            opacity: 0;
            visibility: hidden;
            display: flex;
            flex-direction: column;
            align-items: start;
            justify-content: stretch; /* Cambiado de 'end' a 'start' para posicionar a la izquierda */
            position: absolute;
            top: 0;
            left: 0; /* Posición izquierda */
            background-color: rgb(196, 65, 68);
            padding: 1rem;
            box-shadow: 0 0 0 100vmax rgba(0, 0, 0, 0.7);
            z-index: 1;
            height: 100vh;
    }
        
    nav.visible{
        opacity: 2;
        visibility: visible;
        
    }
    .navlist{
        flex-direction: column; /* Asegura que los elementos estén en línea horizontal */
        align-items: start;
    }
    .navlist li a{
        color: #f0e7e7;
        font-size: 1.5rem;
    }
    
    .dropdown-content {
        left: 75%;
        white-space: wrap; /* Evita que el submenú se divida en varias líneas */
        max-width: 200px; /* Establece un ancho máximo para el submenú */
    }
    .dropdown-content a{
        font-size: 10px;
        font-family:  Courier, monospace;
        padding: 5px;
    }

    section{
        text-align: center;
        padding: 10px;
        display: flex;
        flex-direction: column;    
    }
    .imagen{
        display: none;
    }
}